Bug 1624072 - Templates subnet association renders to Capsule URL and not template_url
Summary: Templates subnet association renders to Capsule URL and not template_url
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.4.0
Assignee: Lukas Zapletal
QA Contact: Sanket Jagtap
URL: https://projects.theforeman.org/issue...
Whiteboard:
: 1626833 (view as bug list)
Depends On:
Blocks: 1332702 1542023
TreeView+ depends on / blocked
 
Reported: 2018-08-30 20:24 UTC by Sanket Jagtap
Modified: 2019-11-05 23:34 UTC (History)
8 users (show)

Fixed In Version: foreman-1.18.0.19-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:10:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23291 0 High Closed Proxy template URL not used for kickstart 2020-11-10 21:05:35 UTC
Red Hat Bugzilla 1347748 0 medium CLOSED The templates proxy is hard to understand 2021-02-22 00:41:40 UTC

Internal Links: 1347748

Description Sanket Jagtap 2018-08-30 20:24:48 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Build: Satellite 6.4.0 snap19 and BETA

How reproducible:
Always

Steps to Reproduce:
1. Have a External Capsule, configured with provisioning setup
2. Create a host on the Capsule on any CR
3.

Actual results:
Host is created but, unattended url of the capsule is HTTPS , so it is not able to fetch required files

Expected results:
Host should be created and provisioned

Additional info:
Pxelinux template rendered for the given host provisioned on capsule
# This file was deployed via 'Kickstart default PXELinux' template


TIMEOUT 10
DEFAULT Kickstart default PXELinux

LABEL Kickstart default PXELinux
  KERNEL boot/RedHat-7.5-x86_64-vmlinuz
  APPEND initrd=boot/RedHat-7.5-x86_64-initrd.img ks=https://Capsule:9090/unattended/provision?token=12a89e4d-80a3-4437-b952-c96e9141bc3b  network ksdevice=bootif ks.device=bootif BOOTIF=00-00-1a-4a-16-01-b2 kssendmac ks.sendmac inst.ks.sendmac
  IPAPPEND 2

Comment 4 Lukas Zapletal 2018-09-03 13:44:33 UTC
I can confirm, the feature actually does not work correctly, unit tests are incorrect.

You can reproduce by setting Templates Capsule and then rendering PXELinux. It returns Capsule URL instead of Capsule HTTP port (8000) and in logs there is this error message:

[W|tem|] unable to obtain template url set by proxy https://next.nat.lan:9090/unattended. falling back on proxy url

Comment 9 Mihir Lele 2018-09-09 17:22:45 UTC
*** Bug 1626833 has been marked as a duplicate of this bug. ***

Comment 10 Sanket Jagtap 2018-09-28 13:05:02 UTC
Build: Satellite 6.4.0 snap24


The Host was successfully provisioned through external Capsule and Template was rendered successfully with external capsule URL and port

ks=http://ext-cap:8000/unattended/provision

Comment 11 Bryan Kearney 2018-10-16 19:10:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.